Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class ScorePoint

    java.lang.Object
      gecco.server.core.Unit
          gecco.game.dke.GameEventPoint
              gecco.game.dke.ScorePoint

All Implemented Interfaces:
  Comparable, ReplayReady

public class ScorePoint
extends GameEventPoint

ScorePoint.java Created: Wed Feb 05 13:55:17 2003

Author:
  Hans Sandström

Field Summary

Fields inherited from class gecco.game.dke.GameEventPoint
`CHANGE_OWNER`

Fields inherited from class gecco.server.core.Unit
`activeAction, blockedActions, commander, handle, intX, intY, isDestroyed, name, observers, properties, type, unitType, updatedActions, updatedProperties, x, y`

Fields inherited from interface gecco.server.replaymanager.ReplayReady
`UNIT`

Constructor Summary
`ScorePoint()`

Method Summary
`int` | `getValue()`
`void` | `printWriteMe(PrintWriter out)`
`String` | `toString()`

Methods inherited from class gecco.game.dke.GameEventPoint
`automatonLastVisitorChanged, changeOwner, getOwner, playReplayData, saveReplayData`

Methods inherited from class gecco.server.core.Unit
`abortAllActions, addBlockedAction, addObserver, canSeeAutomatonAtPosition, compareTo, equals, getActiveAction, getBlockedActions, getCommander, getDoubleProperty, getHandle, getIntProperty, getIntX, getIntY, getName, getObservers, getProperties, getProperty, getPropertyType, getStringProperty, getUnitType, getUpdatedActions, getUpdatedProperties, getX, getY, hashCode, isDestroyed, isObserver, markAsDestroyed, removeBlockedAction, removeObserver, resetUpdatedActions, resetUpdatedProperties, sendUnitMessage, setActiveAction, setCommander, setHandle, setName, setPosition, setProperty, setProperty, setProperty, setUnitType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScorePoint

    public ScorePoint()

Method Detail

### getValue

    public int getValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `GameEventPoint`

### printWriteMe

    public void printWriteMe(PrintWriter out)

  Overrides:
    `printWriteMe` in class `GameEventPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD